<!-- //////////////////////START-CUSTOMER-LIST////////////////////////////// -->
<div class="card">
  <div class="card-header">
    <h2>Listado de cambios en clientes</h2>
    {%
      set log_key_value = {
        "client_address": "Dirección",
        "client_email": "Correo Electrónico",
        "client_city": "Ciudad",
        "client_cp": "Código Postal",
        "client_businessname": "Razón Social",
        "client_state": "Provincia",
        "client_invoicetype": "Tipo de facturación"
      }
    %}
    <br><br>
    <form role="form" action="{{path_for('client-raw')}}">
      <div class="row">
        <div class="col-sm-5">
          <div class="input-group">
            <span class="input-group-addon">
              <i class="zmdi zmdi-search"></i>
            </span>
            <div class="fg-line">
              <input type="text" class="form-control input-sm" id="log_detail" name="log_detail" value="{{selected.log_detail}}" placeholder="CUIT">
            </div>
          </div>
        </div>
        <div class="col-sm-5">
          <div class="input-group">
            <span class="input-group-addon">
              <i class="zmdi zmdi-search"></i>
            </span>
            <div class="fg-line">
              <select class="chosen" name="log_key" id="log_key" data-placeholder="Dato" title="Dato">
                <option></option>
                {% for key in log_key %}
                  <option value="{{key.log_key}}" {% if selected.log_key==key.log_key %} selected="selected" {% endif %}>{{key.log_key|replace(log_key_value)}}</option>
                {% endfor %}
              </select>
            </div>
          </div>
        </div>
        <div class="col-sm-2">
          <button type="submit" class="btn btn-primary btn-block">
            <i class="zmdi zmdi-search"></i>
            Buscar</button>
        </div>
      </div>
    </form>
  </div>
</div>
{% if newClients|length > 0 %}
<div class="card">
  <div class="card-header">
    <h2>Nuevos clientes</h2>
  </div>
  <div class="card-body card-padding">
    <table id="data-table-new-client" class="table table-vmiddle">
      <thead>
        <tr>
          <th data-column-id="id" data-type="numeric" data-identifier="true" data-visible="false">ID</th>
          <th data-column-id="codigo" >Código</th>
          <th data-column-id="cuit" >Cuit</th>
          <th data-column-id="razon_soc">Razón Social</th>
          <th data-column-id="contacto">Contacto</th>
          <th data-column-id="commands" data-formatter="commands" data-sortable="false"></th>
        </tr>
      </thead>
      <tbody>
        {% set num = 0 %}
        {% for newClient in newClients %}
          {% for nc in newClient %}
          {% set num = num + 1 %}
          <tr>
            <td>{{num}}</td>
            <td>{{nc.CODIGO}}</td>
            <td>{{nc.CUIT}}</td>
            <td>{{nc.RAZON_SOC}}</td>
            <td>{{nc.TITULAR}}</td>
          </tr>
          {% endfor %}
        {% endfor %}
      </tbody>
    </table>

    <div class="text-center p-25 btn-refresh-all">
      <button class="btn palette-Teal bg btn-icon-text waves-effect"><i class="zmdi zmdi-plus"></i> Agregar marcados</button>
    </div>

  </div>
</div>
{% endif %}
<div class="card">
  <div class="card-header">
    <h2>Actualización de clientes</h2>
  </div>
  <div class="card-body card-padding">
    <div class="panel-group" data-collapse-color="red" id="accordionRed" role="tablist" aria-multiselectable="true">

      {% for changeClient in changeClients %}
        <div class="panel panel-collapse">
          <div class="panel-heading {% if loop.index == 1 %}active{% endif %}" role="tab">
            <h4 class="panel-title">
              <a data-toggle="collapse" data-parent="#accordionRed" href="#accordionRed-{{loop.index}}" aria-expanded="true">
                <button type="button" class="btn btn-primary btn-xs waves-effect" style="margin-right:30px">
                  <i class="zmdi zmdi-refresh"></i> {{changeClient.changes|length}}
                </button>
                {{changeClient.client.client_businessname}}
                <span style="float:right;font-weight:bold">{{changeClient.client.client_cuit}}</span>
              </a>
            </h4>
          </div>
          <div id="accordionRed-{{loop.index}}" class="collapse {% if loop.index == 1 %}in{% endif %}" role="tabpanel">
            <div class="panel-body" style="padding-top: 20px;padding-bottom:30px">
              <div class="table-responsive">
                <table id="data-table-selection-{{loop.index}}" class="table table-vmiddle">
                  <thead>
                    <tr>
                      <th data-column-id="id" data-type="numeric" data-identifier="true" data-visible="false">ID</th>
                      <th data-column-id="detail">Tipo de dato</th>
                      <th data-column-id="value_old">Actual</th>
                      <th data-column-id="value">Nuevo</th>
                      <th data-column-id="commands" data-formatter="commands" data-sortable="false"></th>
                    </tr>
                  </thead>
                  <tbody>
                    {% for change in changeClient.changes %}
                      <tr>
                        <td>{{change.log_id}}</td>
                        <td>{{change.log_key|replace(log_key_value)}}</td>
                        <td>{{change.log_value_old}}</td>
                        <td>{{change.log_value}}</td>
                      </tr>
                    {% endfor %}
                  </tbody>
                </table>

                <div class="text-center p-25 btn-refresh-all">
                  <button class="btn palette-Teal bg btn-icon-text waves-effect"><i class="zmdi zmdi-refresh"></i> Actualizar marcados</button>
                </div>

                <div style="border-bottom:2px solid red;width:100%"></div>
              </div>
            </div>
          </div>
        </div>
      {% endfor %}
    </div>

  </div>
</div>
<!-- //////////////////////END-CUSTOMER-LIST////////////////////////////// -->
